Groovy Documentation

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class FactoryHolder

    java.lang.Object
      org.codehaus.groovy.grails.web.sitemesh.FactoryHolder

    public class FactoryHolder

Holds a reference to the Sitemesh Factory object.

Authors:
  Graeme Rocher

Since:
  0.6

Method Summary
`static Factory` | `getFactory()`
`static void` | `setFactory(Factory newFactory)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getFactory

    public static Factory getFactory()

### setFactory

    public static void setFactory(Factory newFactory)

Groovy Documentation